# Organization API: Customer Portal: External servers

> The 5 Organization API operations for external servers.

Source: https://www.coritan.com/docs/api/reference/organizations/customer-portal/external-servers/

Part of [Customer Portal](/docs/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/external-servers`](#op-get-api-v1-orgs-org-slug-portal-external-servers) | List external servers |
| GET | [`/api/v1/orgs/{org_slug}/portal/external-servers/regions`](#op-get-api-v1-orgs-org-slug-portal-external-servers-regions) | Regions an existing external server can be moved to |
| GET | [`/api/v1/orgs/{org_slug}/portal/external-servers/{service_id}`](#op-get-api-v1-orgs-org-slug-portal-external-servers-service-id) | Get external server |
| PATCH | [`/api/v1/orgs/{org_slug}/portal/external-servers/{service_id}`](#op-patch-api-v1-orgs-org-slug-portal-external-servers-service-id) | Change where players are forwarded, how, and through which region |
| POST | [`/api/v1/orgs/{org_slug}/portal/external-servers/{service_id}/test`](#op-post-api-v1-orgs-org-slug-portal-external-servers-service-id-test) | Status-ping the backend now and record the answer |

### List external servers {#op-get-api-v1-orgs-org-slug-portal-external-servers}

`GET /api/v1/orgs/{org_slug}/portal/external-servers`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Regions an existing external server can be moved to {#op-get-api-v1-orgs-org-slug-portal-external-servers-regions}

`GET /api/v1/orgs/{org_slug}/portal/external-servers/regions`

Regions an existing external server can be moved to.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Get external server {#op-get-api-v1-orgs-org-slug-portal-external-servers-service-id}

`GET /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `service_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Change where players are forwarded, how, and through which region {#op-patch-api-v1-orgs-org-slug-portal-external-servers-service-id}

`PATCH /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}`

Change where players are forwarded, how, and through which region.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `service_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `upstream_host` | string or null | no |
| `upstream_port` | integer or null | no |
| `proxy_protocol` | boolean or null | no |
| `real_ip` | boolean or null | no |
| `mode` | string or null | no |
| `bedrock_bridge` | boolean or null | no |
| `location_id` | integer or null | no |
| `display_name` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Status-ping the backend now and record the answer {#op-post-api-v1-orgs-org-slug-portal-external-servers-service-id-test}

`POST /api/v1/orgs/{org_slug}/portal/external-servers/{service_id}/test`

Status-ping the backend now and record the answer.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `service_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
